Skip to content

Get Merchant Status and Service Hours

Request

Get /v1/merchant/{id}/status

Return the merchant status, service hours(serviceHours), and sourceAppId.




HOST: Keeta

DIRECTION:

Security
OAuth2(Required scopes: od.all) and Sig
Path
idstringrequired

The unique identifier of the merchant. The id is generated by the Software Service.

curl -i -X GET \
  'https://open.mykeeta.com/api/open/opendelivery/v1/merchant/{id}/status' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-App-Signature: YOUR_API_KEY_HERE'

Responses

After the interface request is successful, it will return the business status, business hours, and source of the store. Based on this interface, you can check whether the update of store-related information through merchantUpdate is successful.

Bodyapplication/json
statusstringrequired

Indicates if the Merchant is Avaliable or Unavaliable. Only use this type when you must close (disable) the merchant due to an unexpected event and you don't know when the service will be re-established (e.g. do not use for holidays).

Enum:"AVAILABLE""UNAVAILABLE"
Example:"AVAILABLE"
servicesArray of anyrequired

Stores the business information of the store, used to set the business hours and special business hours for the business days of this store.

merchantSourceAppIdstringrequired

Keeta internal store ID, identifying the source of Keetapp.

Example:"Keeta"
Serviceobject(Service)required

Stores the business information of the store, used to set the business hours and special business hours for the business days of this store.

ServiceHourobject(ServiceHour)required

A required entity to implement. Describes an array of menus.

Week HourArray of objects(HourObject)required

A list of the day(s) of the week and time periods for which the service is valid.

Holiday HoursArray of objects(HolidayHoursObject)

Map of holiday dates, each with optional timePeriods. If a date does not have a time period specified, the restaurant will be closed for that date.

Time PeriodsArray of objects(TimePeriodsObject)required

hours object.

Response
{ "status": "AVAILABLE", "services": [ { … } ], "merchantSourceAppId": "Keeta" }